#include <string.h>
#include <lal/LALStdlib.h>
#include <lal/RingSearch.h>
#include <WrapperRingSearch.h>

NRCSID( INITSEARCHC, PKG "$Id: InitSearch.c,v 1.2 2002/04/24 19:17:22 jolien Exp $" );

void LALInitSearch(
    LALStatus             *status,
    void                 **searchParams,
    LALInitSearchParams   *initSearchParams
    )
{
  RingSearchParams *params;

  INITSTATUS( status, "LALInitSearch", INITSEARCHC );
  ATTATCHSTATUSPTR( status );

  /* sleep( 10 ); */

  /* NOTE: argc is defined funny in wrapperAPI */
  LALRingSearchInit( status->statusPtr, searchParams, initSearchParams->argv,
      initSearchParams->argc - 1 );
  CHECKSTATUSPTR( status );

  /* specific stuff for MPI-type search */
  params = *searchParams;
  params->numSlaves    = -1;
  params->myProcNumber = -1;
  params->searchMaster = initSearchParams->nodeClass;

  DETATCHSTATUSPTR( status );
  RETURN( status );
}
