#if 0  /* autodoc block */

<lalVerbatim file="TrivialHV">
$Id: Trivial.h,v 1.1 2000/10/12 18:53:22 nobody Exp $
</lalVerbatim>

<lalLaTeX>

\section{Header \texttt{Trivial.h}}
\label{s:Trivial.h}

Provides the LAL-wrapper interface routines for the \texttt{Trivial} shared
object.

\subsection*{Synopsis}
\begin{verbatim}
#include <Trivial.h>
\end{verbatim}

\noindent
Provides the LAL-wrapper interface routines for the \texttt{Trivial} shared
object.

</lalLaTeX>

#endif /* autodoc block */


#ifndef _TRIVIAL_H
#define _TRIVIAL_H

#include <lal/LALRCSID.h>
#include <LALWrapperInterface.h>

NRCSID( TRIVIALH, "$Id: Trivial.h,v 1.1 2000/10/12 18:53:22 nobody Exp $" );

#if 0  /* autodoc block */

<lalLaTeX>
\subsection*{Error conditions}
\input{TrivialHErrTab}
</lalLaTeX>

<lalErrTable file="TrivialHErrTab">

#endif /* autodoc block */

#define TRIVIALH_ENULL  1
#define TRIVIALH_ENNUL  2
#define TRIVIALH_EALOC  4
#define TRIVIALH_EPUTS  8

#define TRIVIALH_MSGENULL "Null pointer."
#define TRIVIALH_MSGENNUL "Non null pointer."
#define TRIVIALH_MSGEALOC "Memory allocation error."
#define TRIVIALH_MSGEPUTS "Error in puts()."

#if 0  /* autodoc block */

</lalErrTable>

<lalLaTeX>

\subsection*{Structures}

\begin{verbatim}
enum { Mule, Pig, Fish, Finale, NumVerse }
struct TrivialParams
\end{verbatim}

\noindent
This structure stores the verses, labelled \texttt{Mule}, \texttt{Pig},
\texttt{Fish}, and \texttt{Finale}, of the song.  The fields are:

\begin{description}
\item[\texttt{const char *verse[NumVerse]}] The array of verses in the song.
\end{description}

</lalLaTeX>

#endif /* autodoc block */

enum { Mule, Pig, Fish, Finale, NumVerse };

typedef struct
tagTrivialParams
{
  const char *verse[NumVerse];
}
TrivialParams;

#if 0  /* autodoc block */

<lalLaTeX>
\vfill{\footnotesize\input{TrivialHV}}
\newpage\input{TrivialC}
\newpage\input{TrivialTestS}
</lalLaTeX>

#endif /* autodoc block */

#endif /* _TRIVIAL_H */
